AhaSend Go SDK
package main
import (
"context"
"fmt"
"log"
"github.com/AhaSend/ahasend-go/api"
"github.com/AhaSend/ahasend-go/models/requests"
"github.com/google/uuid"
)
func main() {
// Create API client with authentication
client := api.NewAPIClient(
api.WithAPIKey("aha-sk-your-64-character-key"),
)
accountID := uuid.New()
// Create context for the API call
ctx := context.Background()
// Call the ping endpoint
response, httpResp, err := client.SuppressionsAPI.GetSuppressions(
ctx,
accountID,
requests.GetSuppressionsParams{},
nil,
)
if err != nil {
log.Fatalf("Error getting suppressions: %v", err)
}
// Check response
if httpResp.StatusCode == 200 {
fmt.Printf("✅ Status: %d\n", httpResp.StatusCode)
if response != nil {
fmt.Printf("Found %d suppressions\n", len(response.Data))
}
} else {
fmt.Printf("❌ Unexpected status code: %d\n", httpResp.StatusCode)
}
}import { AhaSendClient } from "@ahasend/sdk";
const client = AhaSendClient.fromEnv();
const page = await client.suppressions.list({ limit: 20 });
console.log("Suppressions listed.", { count: page.data.length });
curl --request GET \
--url https://api.ahasend.com/v2/accounts/{account_id}/suppressions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ahasend.com/v2/accounts/{account_id}/suppressions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"object": "list",
"data": [
{
"object": "suppression",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"email": "jsmith@example.com",
"domain": "<string>",
"reason": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"has_more": true,
"next_cursor": "eyJpZCI6MTIzNH0="
}
}{
"message": "Error message"
}{
"message": "Error message"
}{
"message": "Error message"
}{
"message": "Error message"
}{
"message": "Error message"
}Suppressions
List Suppressions
Returns a list of suppressions for the account
Query Parameters:
domain: Filter by domain (optional)email: Filter by email (optional)from_time: Filter suppressions created after this time (RFC3339 format, optional)to_time: Filter suppressions created before this time (RFC3339 format, optional)limit: Maximum number of items to return (1-100, default: 100)after: Pagination cursor for the next pagebefore: Pagination cursor for the previous page
GET
/
v2
/
accounts
/
{account_id}
/
suppressions
AhaSend Go SDK
package main
import (
"context"
"fmt"
"log"
"github.com/AhaSend/ahasend-go/api"
"github.com/AhaSend/ahasend-go/models/requests"
"github.com/google/uuid"
)
func main() {
// Create API client with authentication
client := api.NewAPIClient(
api.WithAPIKey("aha-sk-your-64-character-key"),
)
accountID := uuid.New()
// Create context for the API call
ctx := context.Background()
// Call the ping endpoint
response, httpResp, err := client.SuppressionsAPI.GetSuppressions(
ctx,
accountID,
requests.GetSuppressionsParams{},
nil,
)
if err != nil {
log.Fatalf("Error getting suppressions: %v", err)
}
// Check response
if httpResp.StatusCode == 200 {
fmt.Printf("✅ Status: %d\n", httpResp.StatusCode)
if response != nil {
fmt.Printf("Found %d suppressions\n", len(response.Data))
}
} else {
fmt.Printf("❌ Unexpected status code: %d\n", httpResp.StatusCode)
}
}import { AhaSendClient } from "@ahasend/sdk";
const client = AhaSendClient.fromEnv();
const page = await client.suppressions.list({ limit: 20 });
console.log("Suppressions listed.", { count: page.data.length });
Authorizations
API key for authentication. Non-empty Security Requirement values are AhaSend API-key roles. Roles listed within one requirement object are jointly required; separate requirement objects are alternatives.
Path Parameters
Account ID
Query Parameters
Filter by domain
Email address
Filter suppressions created after this time (RFC3339 format)
Filter suppressions created before this time (RFC3339 format)
Maximum number of items to return (1-100)
Required range:
1 <= x <= 100Pagination cursor for the next page. Provide the value provided in next_cursor from the response.
Pagination cursor for the previous page. Provide the value provided in previous_cursor from the response.

